org.eclipse.ease.lang.python.debugger

## Class PythonEventDispatchJob

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - org.eclipse.ease.debugging.dispatcher.EventDispatchJob
        - - org.eclipse.ease.lang.python.debugger.PythonEventDispatchJob

All Implemented Interfaces:
  java.lang.Comparable, IAdaptable, IScriptRegistry, IPythonScriptRegistry

    public class PythonEventDispatchJob
    extends EventDispatchJob
    implements IPythonScriptRegistry

Extension of `EventDispatchJob` using `IPythonScriptRegistry` rather than `IScriptRegistry`.

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

### Constructor Summary

Constructors
Constructor and Description
`PythonEventDispatchJob(IEventProcessor host, IEventProcessor debugger)` Constructor creating new `PythonScriptRegistry` for overload.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getReference(Script script)` Return the reference `String` for this `Script`.
`Script` `getScript(java.lang.String reference)` Return the `Script` identified by this reference `String`.

### Methods inherited from class org.eclipse.ease.debugging.dispatcher.EventDispatchJob

`addEvent, getResource, getScript, put, terminate`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, belongsTo, cancel, create, create, createSystem, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.debugging.IScriptRegistry

`getResource, getScript, put`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### PythonEventDispatchJob

    public PythonEventDispatchJob(IEventProcessor host,
                                  IEventProcessor debugger)

Constructor creating new `PythonScriptRegistry` for overload.

See Also:
  `EventDispatchJob.EventDispatchJob(IEventProcessor, IEventProcessor, IScriptRegistry)`

### Method Detail

#### getScript

    public Script getScript(java.lang.String reference)

Description copied from interface: `IPythonScriptRegistry`
Return the `Script` identified by this reference `String`.

Specified by:
  `getScript` in interface `IPythonScriptRegistry`
Parameters:
  `reference` - Reference `String` to get `Script` for.
Returns:
  `Script` identified by reference `String` or `null` if no mapping found.

#### getReference

    public java.lang.String getReference(Script script)

Description copied from interface: `IPythonScriptRegistry`
Return the reference `String` for this `Script`.

Specified by:
  `getReference` in interface `IPythonScriptRegistry`
Parameters:
  `script` - `Script` to get reference `String` for.
Returns:
  Reference `String` for `Script` or `null` if no mapping found.